Bug 136039 - Ability to mark files for deletion to be deleted during idle time.
Ability to mark files for deletion to be deleted during idle time.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-16 22:36 EDT by Brian "netdragon" Bober
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-17 02:32:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian "netdragon" Bober 2004-10-16 22:36:25 EDT
It'd be nice if you could mark a file for deletion, and it would be
deleted during idle time of the hard disk. After marking a file for
deletion, it could be rendered inaccessible until you unmark it. i.e.,
it would be locked. When the processor and disk isn't in use, it would
be deleted. This would be nice for when you want to delete a large
directory, but don't want to sit there and wait while the disk is
thrashing.
Comment 1 Warren Togami 2004-10-17 02:32:15 EDT
You are asking for a fairly significant change that even if it were
feasible would effect every part of the system in unpredictable ways.
   This is not something that we will implement ourselves.  If you
think you have a workable plan, then propose it to upstream kernel.org.

Note You need to log in before you can comment on or make changes to this bug.